public inbox for gcc-bugs@sourceware.org
help / color / mirror / Atom feed
* [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6
@ 2004-10-01 15:56 jlquinn at gcc dot gnu dot org
  2005-01-05  1:52 ` [Bug bootstrap/17777] " pinskia at gcc dot gnu dot org
                   ` (4 more replies)
  0 siblings, 5 replies; 6+ messages in thread
From: jlquinn at gcc dot gnu dot org @ 2004-10-01 15:56 UTC (permalink / raw)
  To: gcc-bugs

Comparing stage2 and stage3 of the compiler
make[1]: Entering directory `/home/jlquinn/gcc/dev/build/gcc'
rm -f .bad_compare
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo
slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
for dir in . cp java; do \
  if [ "`echo $dir/*.o`" != "$dir/*.o" ] ; then \
    for file in $dir/*.o; do \
      case "slowcompare" in \
        slowcompare* ) \
          tail +16c ./$file > tmp-foo1; \
          tail +16c stage$stage/$file > tmp-foo2 \
            && (cmp tmp-foo1 tmp-foo2 > /dev/null 2>&1 || echo $file differs >>
.bad_compare) || true; \
          ;; \
        fastcompare* ) \
          cmp $file stage$stage/$file 16 16 > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
        gnucompare* ) \
          cmp --ignore-initial=16 $file stage$stage/$file > /dev/null 2>&1; \
          test $? -eq 1 && echo $file differs >> .bad_compare || true; \
          ;; \
      esac ; \
    done; \
  else true; fi; \
done
rm -f tmp-foo*
case "slowcompare" in *compare | *compare-lean ) stage=2 ;; * ) stage=`echo
slowcompare | sed -e 's,^[a-z]*compare\([0-9][0-9]*\).*,\1,'` ;; esac; \
if [ -f .bad_compare ]; then \
  echo "Bootstrap comparison failure!"; \
  cat .bad_compare; \
  exit 1; \
else \
  case "slowcompare" in \
    *-lean ) rm -rf stage$stage ;; \
    *) ;; \
  esac; true; \
fi
Bootstrap comparison failure!
./fold-const.o differs
make[1]: *** [slowcompare] Error 1
make[1]: Leaving directory `/home/jlquinn/gcc/dev/build/gcc'
make: *** [bootstrap] Error 2

-- 
           Summary: AIX bootstrap comparison failure with xlc6
           Product: gcc
           Version: 4.0.0
            Status: UNCONFIRMED
          Severity: normal
          Priority: P2
         Component: bootstrap
        AssignedTo: unassigned at gcc dot gnu dot org
        ReportedBy: jlquinn at gcc dot gnu dot org
                CC: gcc-bugs at gcc dot gnu dot org
  GCC host triplet: powerpc-ibm-aix5.2.0.0


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17777


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [Bug bootstrap/17777] AIX bootstrap comparison failure with xlc6
  2004-10-01 15:56 [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6 jlquinn at gcc dot gnu dot org
@ 2005-01-05  1:52 ` pinskia at gcc dot gnu dot org
  2005-01-07  6:37 ` jlquinn at gcc dot gnu dot org
                   ` (3 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: pinskia at gcc dot gnu dot org @ 2005-01-05  1:52 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From pinskia at gcc dot gnu dot org  2005-01-05 01:52 -------
Does this still happen?

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17777


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [Bug bootstrap/17777] AIX bootstrap comparison failure with xlc6
  2004-10-01 15:56 [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6 jlquinn at gcc dot gnu dot org
  2005-01-05  1:52 ` [Bug bootstrap/17777] " pinskia at gcc dot gnu dot org
@ 2005-01-07  6:37 ` jlquinn at gcc dot gnu dot org
  2005-06-19 14:51 ` pinskia at gcc dot gnu dot org
                   ` (2 subsequent siblings)
  4 siblings, 0 replies; 6+ messages in thread
From: jlquinn at gcc dot gnu dot org @ 2005-01-07  6:37 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From jlquinn at gcc dot gnu dot org  2005-01-07 06:37 -------
I don't even get that far now.  I'm using:

CC=cc ../gcc/configure --with-cpu=power4 --prefix=/home/jlquinn

Now during bootstrap I see the following when trying to build the stage 1
compiler.  Using CC=xlc gives the same result:

./xgcc -B./ -B/home/jlquinn/powerpc-ibm-aix5.2.0.0/bin/ -isystem
/home/jlquinn/powerpc-ibm-aix5.2.0.0/include -isystem
/home/jlquinn/powerpc-ibm-aix5.2.0.0/sys-include
-L/home/jlquinn/gcc/dev/build/gcc/../ld -O2  -DIN_GCC    -W -Wall
-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition
 -isystem ./include   -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2
-D__GCC_FLOAT_NOT_NEEDED  -I. -I. -I../../gcc/gcc -I../../gcc/gcc/.
-I../../gcc/gcc/../include -I./../intl -I../../gcc/gcc/../libcpp/include 
-DL_muldi3  -c ../../gcc/gcc/libgcc2.c -o libgcc/./_muldi3.o
./xgcc -B./ -B/home/jlquinn/powerpc-ibm-aix5.2.0.0/bin/ -isystem
/home/jlquinn/powerpc-ibm-aix5.2.0.0/include -isystem
/home/jlquinn/powerpc-ibm-aix5.2.0.0/sys-include
-L/home/jlquinn/gcc/dev/build/gcc/../ld -O2  -DIN_GCC    -W -Wall
-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wold-style-definition
 -isystem ./include   -g -DHAVE_GTHR_DEFAULT -DIN_LIBGCC2
-D__GCC_FLOAT_NOT_NEEDED  -I. -I. -I../../gcc/gcc -I../../gcc/gcc/.
-I../../gcc/gcc/../include -I./../intl -I../../gcc/gcc/../libcpp/include 
-DL_negdi2  -c ../../gcc/gcc/libgcc2.c -o libgcc/./_negdi2.o
../../gcc/gcc/libgcc2.c: In function '__negdi2':
../../gcc/gcc/libgcc2.c:71: internal compiler error: in change_scope, at
cfglayout.c:370
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
make[3]: *** [libgcc/./_negdi2.o] Error 1
make[3]: Leaving directory `/home/jlquinn/gcc/dev/build/gcc'
make[2]: *** [stmp-multilib] Error 2
make[2]: Leaving directory `/home/jlquinn/gcc/dev/build/gcc'
make[1]: *** [stage1_build] Error 2
make[1]: Leaving directory `/home/jlquinn/gcc/dev/build/gcc'
make: *** [bootstrap] Error 2

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17777


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [Bug bootstrap/17777] AIX bootstrap comparison failure with xlc6
  2004-10-01 15:56 [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6 jlquinn at gcc dot gnu dot org
  2005-01-05  1:52 ` [Bug bootstrap/17777] " pinskia at gcc dot gnu dot org
  2005-01-07  6:37 ` jlquinn at gcc dot gnu dot org
@ 2005-06-19 14:51 ` pinskia at gcc dot gnu dot org
  2005-08-04 15:34 ` jlquinn at gcc dot gnu dot org
  2005-08-06  6:35 ` pinskia at gcc dot gnu dot org
  4 siblings, 0 replies; 6+ messages in thread
From: pinskia at gcc dot gnu dot org @ 2005-06-19 14:51 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From pinskia at gcc dot gnu dot org  2005-06-19 14:51 -------
Does this work now?

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17777


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [Bug bootstrap/17777] AIX bootstrap comparison failure with xlc6
  2004-10-01 15:56 [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6 jlquinn at gcc dot gnu dot org
                   ` (2 preceding siblings ...)
  2005-06-19 14:51 ` pinskia at gcc dot gnu dot org
@ 2005-08-04 15:34 ` jlquinn at gcc dot gnu dot org
  2005-08-06  6:35 ` pinskia at gcc dot gnu dot org
  4 siblings, 0 replies; 6+ messages in thread
From: jlquinn at gcc dot gnu dot org @ 2005-08-04 15:34 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From jlquinn at gcc dot gnu dot org  2005-08-04 15:34 -------
Unfortunately, I no longer have access to the test box, so I can't verify if it's
working now.

-- 


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17777


^ permalink raw reply	[flat|nested] 6+ messages in thread

* [Bug bootstrap/17777] AIX bootstrap comparison failure with xlc6
  2004-10-01 15:56 [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6 jlquinn at gcc dot gnu dot org
                   ` (3 preceding siblings ...)
  2005-08-04 15:34 ` jlquinn at gcc dot gnu dot org
@ 2005-08-06  6:35 ` pinskia at gcc dot gnu dot org
  4 siblings, 0 replies; 6+ messages in thread
From: pinskia at gcc dot gnu dot org @ 2005-08-06  6:35 UTC (permalink / raw)
  To: gcc-bugs


------- Additional Comments From pinskia at gcc dot gnu dot org  2005-08-06 06:35 -------
So I am closing this as invalid then as I know David E. was able to bootstrap with XLC and I have not 
seen other reports about this yet.

-- 
           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|UNCONFIRMED                 |RESOLVED
         Resolution|                            |INVALID


http://gcc.gnu.org/bugzilla/show_bug.cgi?id=17777


^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2005-08-06  6:35 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2004-10-01 15:56 [Bug bootstrap/17777] New: AIX bootstrap comparison failure with xlc6 jlquinn at gcc dot gnu dot org
2005-01-05  1:52 ` [Bug bootstrap/17777] " pinskia at gcc dot gnu dot org
2005-01-07  6:37 ` jlquinn at gcc dot gnu dot org
2005-06-19 14:51 ` pinskia at gcc dot gnu dot org
2005-08-04 15:34 ` jlquinn at gcc dot gnu dot org
2005-08-06  6:35 ` pinskia at gcc dot gnu dot org

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).